From d9d05ae2a38da2a6e283c213c0af31b77e690fc7 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 28 2024 13:07:59 +0000
Subject: [PATCH 95/220] s


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index cdf8303..a304af9 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -43,7 +43,6 @@ Source:         cosmic-app-library-%{ver}.tar.xz
 Source:         cosmic-app-library-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 26d37ab..5557e8e 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -42,7 +42,6 @@ Patch: better_compile.patch
 Patch: symlink.patch
 
 BuildRequires:  cargo-rpm-macros >= 25
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index b5f87b8..6ed8815 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -33,7 +33,6 @@ Source:         cosmic-bg-%{ver}.tar.xz
 Source:         cosmic-bg-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index 3296fe4..856bf7e 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -44,7 +44,6 @@ Source:         cosmic-comp-%{ver}.tar.xz
 Source:         cosmic-comp-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index 6e83bc9..48e6973 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -47,7 +47,6 @@ Source:         cosmic-edit-%{ver}.tar.xz
 Source:         cosmic-edit-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index b994e15..bd50285 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -46,7 +46,6 @@ Source:         cosmic-files-%{ver}.tar.xz
 Source:         cosmic-files-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index fd7e38b..372594e 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -42,12 +42,11 @@ Source:         cosmic-greeter-%{ver}-vendor.tar.xz
 Patch:          service.patch
 
 BuildRequires:  cargo-rpm-macros >= 25
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
 BuildRequires:  wayland-devel
-BuildRequires:  clang-devel
+BuildRequires:  clang-libs
 BuildRequires:  libxkbcommon-devel
 BuildRequires:  pam-devel
 BuildRequires:  just
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index ac2251b..5cda548 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -46,7 +46,6 @@ Source:         cosmic-launcher-%{ver}.tar.xz
 Source:         cosmic-launcher-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index 083c225..7882716 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -41,7 +41,6 @@ Source:         cosmic-notifications-%{ver}.tar.xz
 Source:         cosmic-notifications-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index a5312b3..9644e5b 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -44,7 +44,6 @@ Source:         cosmic-osd-%{ver}.tar.xz
 Source:         cosmic-osd-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index c2cf893..301d62d 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -38,7 +38,6 @@ Source:         cosmic-panel-%{ver}.tar.xz
 Source:         cosmic-panel-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index 3fc5d4c..f877573 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -30,7 +30,6 @@ Source:         cosmic-randr-%{ver}.tar.xz
 Source:         cosmic-randr-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index 464b5b3..1acddc3 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -34,7 +34,6 @@ Source:         cosmic-screenshot-%{ver}.tar.xz
 Source:         cosmic-screenshot-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index 1c75ddc..ce77c69 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -38,7 +38,6 @@ Source:         cosmic-session-%{ver}.tar.xz
 Source:         cosmic-session-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index cc866d9..54011e0 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -43,7 +43,6 @@ Source:         cosmic-settings-daemon-%{ver}.tar.xz
 Source:         cosmic-settings-daemon-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 46f8176..5ac8f61 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -44,7 +44,6 @@ Source:         cosmic-settings-%{ver}.tar.xz
 Source:         cosmic-settings-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index eab0a89..ec673ad 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -42,7 +42,6 @@ Source:         cosmic-store-%{ver}.tar.xz
 Source:         cosmic-store-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index e12461d..9723931 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -46,7 +46,6 @@ Source:         cosmic-term-%{ver}.tar.xz
 Source:         cosmic-term-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index a5918e5..76db636 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -44,7 +44,6 @@ Source:         cosmic-workspaces-%{ver}.tar.xz
 Source:         cosmic-workspaces-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index 81ae1ba..0d8c079 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -41,7 +41,6 @@ Source:         pop-launcher-%{ver}-vendor.tar.xz
 Patch:          symlink.patch
 
 BuildRequires:  cargo-rpm-macros >= 25
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
diff --git a/rpms/system76-power/system76-power.old.spec b/rpms/system76-power/system76-power.old.spec
index dd21c4c..7cd5dd7 100644
--- a/rpms/system76-power/system76-power.old.spec
+++ b/rpms/system76-power/system76-power.old.spec
@@ -33,7 +33,7 @@ BuildRequires:  glib2-devel
 BuildRequires:  gtk3-devel
 BuildRequires:  dbus-devel
 BuildRequires:  wayland-devel
-BuildRequires:  clang-devel
+BuildRequires:  clang-libs
 BuildRequires:  libxkbcommon-devel
 BuildRequires:  mesa-libgbm-devel
 BuildRequires:  rust-rav1e+nasm-rs-devel
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index d9bb5c1..a4febe7 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -44,14 +44,13 @@ Source:         xdg-desktop-portal-cosmic-%{ver}.tar.xz
 Source:         xdg-desktop-portal-cosmic-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
-BuildRequires:  gcc
 BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
 BuildRequires:  libxkbcommon-devel
 BuildRequires:  wayland-devel
 BuildRequires:  pipewire-devel
-BuildRequires:  clang-devel
+BuildRequires:  clang-libs
 BuildRequires:  mesa-libEGL-devel
 BuildRequires:  mesa-libgbm-devel
 BuildRequires:  gstreamer1-devel

